dhall-1.19.1: A configuration language guaranteed to terminate

Safe Haskell | None
Language | Haskell2010

Dhall.Lint

Contents

- Lint

Description

This module contains the implementation of the `dhall lint` command

Synopsis

- lint :: Expr s Import -> Expr t Import

# Lint

lint :: Expr s Import -> Expr t Import Source #

Automatically improve a Dhall expression

Currently this:

- removes unused `let` bindings
- consolidates nested `let` bindings to use a multiple-`let` binding
- switches legacy `List`-like `Optional` literals to use `Some` / `None` instead